Debian Bug report logs - #383384
cursor position is wrong after xterm window resize

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Németh Márton <nm127@freemail.hu>

Date: Wed, 16 Aug 2006 22:03:33 UTC

Severity: normal

Found in versions xfree86/4.3.0.dfsg.1-14sarge1, xterm/234-1

Fixed in version xterm/235-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383384; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Németh Márton <nm127@freemail.hu>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Németh Márton <nm127@freemail.hu>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: cursor position is wrong after xterm window resize
Date: Wed, 16 Aug 2006 23:39:43 +0200
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 4.3.0.dfsg.1-14sarge1
Severity: normal

*** Please type your report below this line ***

When the xterm window is resized when the less (or other similar) 
program runs, after exiting the cursor is located at wrong place.

How to reproduce:
1. Start an xterm window with bash shell
2. Type command: "echo columns=$COLUMNS, lines=$LINES"
3. The response will be: "columns=80, lines=24" (see the attached 
xterm-resize-step1.png)
4. Fill the xterm window with some lines: "for i in $(seq 4 100); do 
echo $i; done" (see the attached xterm-resize-step2.png)
5. Run the command "less -f /dev/null"
6. Now resize the xterm window from 24 lines to 34 lines
7. Press "q" to exit less

Current result:
The cursor is located at row instead of the number "92" (see the 
attached xterm-resize-step3.png)

Expected result:
The cursor is located below the "$ less -f /dev/null" line.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.16.18
Locale: LANG=hu_HU, LC_CTYPE=hu_HU (charmap=ISO-8859-2)

Versions of packages xterm depends on:
ii  libc6              2.3.5-6               GNU C Library: Shared 
libraries an
ii  libexpat1          1.95.8-3              XML parsing C library - 
runtime li
ii  libfontconfig1     2.3.1-2               generic font configuration 
library
ii  libfreetype6       2.1.7-2.4             FreeType 2 font engine, 
shared lib
ii  libice6            4.3.0.dfsg.1-14sarge1 Inter-Client Exchange library
ii  libncurses5        5.4-4                 Shared libraries for 
terminal hand
ii  libsm6             4.3.0.dfsg.1-14sarge1 X Window System Session 
Management
ii  libxaw7            4.3.0.dfsg.1-14sarge1 X Athena widget set library
ii  libxext6           4.3.0.dfsg.1-14sarge1 X Window System 
miscellaneous exte
ii  libxft2            2.1.7-1               FreeType-based font drawing 
librar
ii  libxmu6            4.3.0.dfsg.1-14sarge1 X Window System 
miscellaneous util
ii  libxpm4            4.3.0.dfsg.1-14sarge1 X pixmap library
ii  libxrender1        1:0.9.0-2             X Rendering Extension 
client libra
ii  libxt6             4.3.0.dfsg.1-14sarge1 X Toolkit Intrinsics
ii  xfree86-common     4.3.0.dfsg.1-14sarge1 X Window System (XFree86) 
infrastr
ii  xlibs              4.3.0.dfsg.1-14sarge1 X Keyboard Extension (XKB) 
configu
ii  xlibs-data         4.3.0.dfsg.1-14sarge1 X Window System client data

-- no debconf information
[xterm-resize-step1.png (image/png, inline)]
[xterm-resize-step2.png (image/png, inline)]
[xterm-resize-step3.png (image/png, inline)]
[xterm-resize-step4.png (image/png, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383384; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 383384@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 383384@bugs.debian.org
Subject: re: #383384 - cursor position is wrong after xterm window resize
Date: Sun, 27 Aug 2006 18:59:08 -0400
[Message part 1 (text/plain, inline)]
This was reported in Novell's bugtracking as #196880 a week before this
report.  Odd, since it's describing behavior that's been this way "forever".

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383384; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 383384@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Debian Bug Tracking System <383384@bugs.debian.org>
Subject: bug confirmed also on latest xterm releases
Date: Fri, 18 Apr 2008 19:57:54 +0200
Package: xterm
Version: 234-1
Followup-For: Bug #383384


Hi,

I can confirm this behaviour is present also in latest xterm releases.

Someone said xterm has always behaved this way, but it is very annoying to have
to type "reset" every once in a while to fix the term.

So please, could you consider giving a look at this?
Should we switch to another terminal emulator? ;)

Many thanks,
   Antonio Ospite

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.7-10         GNU C Library: Shared libraries
ii  libfontconfig1            2.5.0-2        generic font configuration library
ii  libice6                   2:1.0.4-1      X11 Inter-Client Exchange library
ii  libncurses5               5.6+20080405-1 Shared libraries for terminal hand
ii  libsm6                    2:1.0.3-1+b1   X11 Session Management library
ii  libx11-6                  2:1.0.3-7      X11 client-side library
ii  libxaw7                   2:1.0.4-1      X11 Athena Widget library
ii  libxext6                  2:1.0.4-1      X11 miscellaneous extension librar
ii  libxft2                   2.1.12-2       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.4-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.5-3      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.3+1      X11 utilities
ii  xutils                        1:7.3+10   X Window System utility programs m

-- no debconf information




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Németh Márton <nm127@freemail.hu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 383384-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 383384-close@bugs.debian.org
Subject: Bug#383384: fixed in xterm 235-1
Date: Mon, 21 Apr 2008 01:02:06 +0000
Source: xterm
Source-Version: 235-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_235-1.diff.gz
  to pool/main/x/xterm/xterm_235-1.diff.gz
xterm_235-1.dsc
  to pool/main/x/xterm/xterm_235-1.dsc
xterm_235-1_i386.deb
  to pool/main/x/xterm/xterm_235-1_i386.deb
xterm_235.orig.tar.gz
  to pool/main/x/xterm/xterm_235.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 383384@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Apr 2008 02:48:05 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 235-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 347790 383384
Changes: 
 xterm (235-1) unstable; urgency=low
 .
   * New upstream release.
     + adjust saved-cursor position if the window is resized while displaying
       the alternate screen (closes: #383384)
     + correct initialization of bold- and wide-, wide-bold fonts which may be
       set via the utf8Fonts subresource (closes: #347790)
   * Refresh patches 901_xterm_manpage.diff and 902_pointermode_never.diff.
Checksums-Sha1: 
 ec99584215296505ed9b387a7e0e9e35f3757d7a 1336 xterm_235-1.dsc
 4d449a9e50e342e0b7a6deba9d713e6ba9323d1e 857714 xterm_235.orig.tar.gz
 03da2dff297abfbf95ea360a8b38123c518415be 62136 xterm_235-1.diff.gz
 7aedb7fc5dd906ad35246cf7442e250311aa2130 466530 xterm_235-1_i386.deb
Checksums-Sha256: 
 c288efd0a35c5bf156834e8596cd68c38697b73613869af2fbf9e4c71a993932 1336 xterm_235-1.dsc
 c8a7ccb515b967a11dc2ac1061943cddbf0b6640de89f72590b1ff79e69a49cf 857714 xterm_235.orig.tar.gz
 f947106338c7defc86b24cefe4eed6e05941fc49028972ca345abaa08ea397c4 62136 xterm_235-1.diff.gz
 517f01858734b253584c28bb9951acbb6a082d1274c6ec6c079f7567bf067d71 466530 xterm_235-1_i386.deb
Files: 
 be691eda9f4fc37daf03259bffc28d0f 1336 x11 optional xterm_235-1.dsc
 5060cab9cef0ea09a24928f3c7fbde2b 857714 x11 optional xterm_235.orig.tar.gz
 67a55c2ed7eccf1b3a6155c5b972d73a 62136 x11 optional xterm_235-1.diff.gz
 ec97de9afffcbc5932dddfa9090f6fbe 466530 x11 optional xterm_235-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIC+Z8mEvTgKxfcAwRArOHAJ0YB5wN6WStAYMQnK7Dd28RY04cKQCeLVYG
rD5BSBttgqK4QC18aqA8Jwo=
=fh7S
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 31 May 2008 07:39:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:29:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.